<?php 
/*
前台，AJAX控制器

这里没有继承自定义MY_Controller,原因是因为验证表单的时候用户没有登录，会员模块的MY_Controller，必须登录才能范围

*/

if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Qt_ajax extends CI_Controller {

   public function __construct(){
		parent::__construct();
		
		//判断是否登陆,获取登录用户信息
	   // $this->load->library("session");
	   // $this->member_info =$this->session->userdata('member_info');
	}

	
 //pc端留言
  public  function ajax_message_pc(){	
          
		  $data=$_POST;
		  $data['uptime']=time();
          if(empty($data['name']) or empty($data['tel']) ){
		     exit('1');//表单信息没有填写完整
		  }else{
			 $this->load->helper("wl_function");
			 $data['ip']=$this->input->ip_address();//注册IP
	        // $data['address']=@get_ip_adds($data['ip']);//注册地址
			 $this->db->insert('message', $data); 
			 exit('2');//留言成功
			 
		  }
       
 }
//手机端留言
  public  function ajax_message_wap(){	
          
		  $data=$_POST;
		  $data['uptime']=time();
          if(empty($data['content'])){$data['content']="我对此贵公司很感兴趣，请联系。";}
          if(empty($data['name']) or empty($data['tel']) ){
		     exit('1');//表单信息没有填写完整
		  }else{
			 $this->load->helper("wl_function");
			 $data['ip']=$this->input->ip_address();//注册IP
	        // $data['address']=@get_ip_adds($data['ip']);//注册地址
			 $this->db->insert('message', $data); 
			 exit('2');//留言成功
			 
		  }
       
 }
 
	
}
?>